# Alert properties

## List of properties

All alerts send the same list of properties across all alert types, they relate to both:

* The alert that you set on Sonar
* The event that triggered your alert

Below are the properties passed in the json:

| key            | type        | options      |
| -------------- | ----------- | ------------ |
| event\_id      | int         | Open         |
| timestamp      | timestamptz | Open         |
| type           | string      | Limited to 4 |
| alert\_name    | string      | Open         |
| event\_verbose | string      | Open         |
| domain         | string      | Open         |

{% hint style="info" %}
The *event\_verbose* has been added to allow further flexibility on the way you use the alert.
{% endhint %}

As opposed to event properties or company properties, alert properties are not sent in a nested json but rather sent directly in the first level of the json object as shown below:

```javascript
{
  "event_id": 458325, // Not nested
  "timestamp": "2020-04-23T12:25:32.209Z", // Not nested
  "type": "technology_removed", // Not nested
  "alert_name": "Hotjar deleted", // Not nested
  "event_verbose": "Wine Central removed Hotjar", // Not nested
  "domain": "winecentral.co.nz", // Not nested
  "event_properties": {
    "technology_name": "Hotjar",
    "technology_domain": "https://www.hotjar.com/",
    "technology_category": "Analytics"
  },
  "company_properties": {
    "company_name": "Wine Central",
    "alexa_rank": null,
    "country": "New Zealand",
    "location": "Albany, Auckland, New Zealand",
    "industry": "Food & Beverages",
    "employees_range": "1-10",
    "social_linkedin_url": "linkedin.com/company/wine-central",
    "social_facebook_url": "/4winecentral",
    "social_twitter_url": null,
    "year_founded": 2013
  }
}
```

## Values for properties with limited options

Below are all the all the possible values that could be returned for alert properties with limited options.

### Type

| option              | description                                                  |
| ------------------- | ------------------------------------------------------------ |
| technology\_added   | When a new technology is detected on a company website       |
| technology\_removed | When a technology is no longer detected on a company website |
| job\_added          | When a company just added a new job posting                  |
| job\_removed        | When a company removed an existing job posting               |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.purplesonar.com/alert-properties/default-properties.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
